<section class="content">
  <div class="container-fluid">
    <div class="block-header">
      <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
          <ul class="breadcrumb breadcrumb-style ">
            <li class="breadcrumb-item">
              <h4 class="page-title">Clínica</h4>
            </li>
            <li class="breadcrumb-item bcrumb-1">
              <a routerLink="/admin/dashboard/main">
                <i class="fas fa-home"></i> Home</a>
            </li>
            <li class="breadcrumb-item bcrumb-2">
              <a href="#" onClick="return false;">Configuración</a>
            </li>
            <li class="breadcrumb-item active">Agregar Clínica</li>
          </ul>
        </div>
      </div>
    </div>
    <div class="row clearfix">
      <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12">
        <div class="card">
          <div class="header">
            <h2><strong>Nueva Clínica</strong></h2>

          </div>
          <div class="body">
            <form class="m-4" [formGroup]="roomForm" (ngSubmit)="confirmAdd()">
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Nombre de Clínica</mat-label>
                    <input matInput formControlName="rNo" required>
                    <mat-error *ngIf="roomForm.get('rNo').hasError('required')">
                      El nombre es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>RFC</mat-label>
                    <input maxlength="13" matInput formControlName="rType" required>
                    <mat-error *ngIf="roomForm.get('rType').hasError('required')">
                      El RFC es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Dirección</mat-label>
                    <input matInput formControlName="pName" required>
                    <mat-error *ngIf="roomForm.get('pName').hasError('required')">
                      La Dirección es requerida
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Teléfono Principal</mat-label>
                    <input type="text" onkeypress='return event.charCode >= 48 && event.charCode <= 57' maxlength="10" matInput formControlName="aDate" required>
                    <mat-error *ngIf="roomForm.get('aDate').hasError('required')">
                      El Teléfono Principal es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>WhatsApp</mat-label>
                    <input type="text" onkeypress='return event.charCode >= 48 && event.charCode <= 57' maxlength="10" matInput formControlName="dDate" required>
                    <mat-error *ngIf="roomForm.get('dDate').hasError('required')">
                      El WhatsApp es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Correo de Contacto</mat-label>
                    <input type="email" matInput formControlName="email" required>
                    <mat-error *ngIf="roomForm.get('email').hasError('required')">
                      El Correo de Contacto es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Nombre corto</mat-label>
                    <input type="text" matInput formControlName="namecrto" required>
                    <mat-error *ngIf="roomForm.get('namecrto').hasError('required')">
                      El Nombre corto es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Logo de clinica</mat-label>
                    <ngx-mat-file-input formControlName="logo" id="foto"
                    (change)="Subirimagen($event,$event.target.files, $event)" multiple
                    accept="image/*" required>
                    </ngx-mat-file-input>
                    <mat-icon matSuffix>face</mat-icon>
                    <mat-error *ngIf="roomForm.get('logo').hasError('required')">
                      El logo de la sucursal es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <button *ngIf="valor === ''" class="mr-3"  [disabled]="!roomForm.valid " mat-raised-button color="primary">Guardar</button>
                  <button *ngIf="valor !== ''" class="mr-3"  [disabled]="!roomForm.valid " mat-raised-button color="primary">Modificar</button>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
